Installing Simba ODBC Driver for Apache Cassandra

Steps for installing the Simba ODBC Driver for Apache Cassandra®.

Prerequisites

  • Your DSE license must include a license to use the Simba drivers.

  • Java Runtime Environment (JRE) 7.0 or 8.0 installed.

  • Apache Cassandra versions 2.1 through 3.11.

Linux

  1. Download the Simba ODBC Driver for Apache Cassandra (Linux 32- or 64-bit) from the DataStax Drivers Download page.

  2. Expand the downloaded file:

    mkdir simba-odbc &&
    cdsimba-odbc &&
    tar xvf version.tar.gz
  3. For more details, see the Simba ODBC Driver for Cassandra guide.

Windows

  1. Download the Simba ODBC Driver for Apache Cassandra (Windows 32- or 64-bit) from the DataStax Drivers Download page.

  2. Double-click the downloaded installer and follow the installation wizard.

  3. For more details, see the Simba ODBC Driver for Cassandra guide.